void setup(){
  pinMode(11, OUTPUT);
  Serial.begin(9600);
  digitalWrite(11,LOW);
  pinMode(A2, INPUT);
}

void loop(){
  //烟雾报警器：有源蜂鸣器接D11，
  //烟雾传感器接A2；
  //注意烟雾传感器与扩展版接口线序，不要正负极接反。
  //当烟雾传感器检测气体或者烟雾时输出低电平（0），
  //蜂鸣器有频率的响起。

  //打开串口监视器，查看串口烟雾传感器输出值，调节电位器，没有烟雾或者气体，模块指示灯熄灭。
  if (digitalRead(A2) == 0) {
    //检测到烟雾输出低电平（0），电机工作，led灯与蜂鸣器响
    for (int i = 0; i <= 3; i = i + (1)) {
      digitalWrite(11,HIGH);
      delay(200);
      digitalWrite(11,LOW);
      delay(200);
    }

  } else {
    digitalWrite(11,LOW);

  }
  Serial.print("烟雾输出值：");
  Serial.println(digitalRead(A2));
  delay(10);

}
